<?php
/**
*	此文件是流程模块【fund_transfer.资金划拨】对应控制器接口文件。
*/ 
class mode_fund_transferClassAction extends inputAction{
	
	/**
	*	重写函数：保存前处理，主要用于判断是否可以保存
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id 0添加时，大于0修改时
	*	$addbo Boolean 是否添加时
	*	return array('msg'=>'错误提示内容','rows'=> array()) 可返回空字符串，或者数组 rows 是可同时保存到数据库上数组
	*/
	protected function savebefore($table, $arr, $id, $addbo){
	
		$name=$arr['account'];
    
		// 检测转出账户钱是否足够？
		$data=m('c_fund_account')->getone("`name`='$name'");

		
		if($data['account_balance'] < $arr['trans_amount']){
			return "转出账户余额不足";die;
		}
		
	}
	
	/**
	*	重写函数：保存后处理，主要保存其他表数据
	*	$table String 对应表名
	*	$arr Array 表单参数
	*	$id Int 对应表上记录Id
	*	$addbo Boolean 是否添加时
	*/	
	protected function saveafter($table, $arr, $id, $addbo){
		
	}



	 public function getaccountAjax(){
        $numb = $this->post('numb');

       
        $model = 'c_fund_account';
        $sql = " id =$numb";
        
        $cdata = m($model)->getone($sql,'id,name,level');
       	$level=$cdata['level'];
       	// $level1=$cdata['level']+1;
        $sqla = " level =$level";
       
        $data = m($model)->getall($sqla,'id as value,name');
        
        $this->returnjson($data);
	}


	    public function getaccount(){
			$numb = $this->get('account');
			$model = 'c_fund_account';
			$sql = " id =$numb";
			$cdata = m($model)->getone($sql,'id,name,level');
			$level=$cdata['level'];
			$levelto=$cdata['level']+1;
			$sqla = " id !=$numb and level =$level or level =$levelto";
			$data = m($model)->getall($sqla,'id as value,name');
        $this->returnjson($data);
    }
}	
			